summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest6
1 files changed, 5 insertions, 1 deletions
diff --git a/test b/test
index 2ae88b5..d365413 100755
--- a/test
+++ b/test
@@ -1,4 +1,6 @@
-#!/usr/bin/sh
+#!/bin/sh
+
+set -e
# Check boundary conditions with small files. Output should match input.
for f in empty a ab abc abcd; do
@@ -20,3 +22,5 @@ rm out
# Check that the output has a similar ratio of c's and d's to test randomness of
# suffix selection.
./markov <tests/stats | freq -c | awk -f tests/stats.awk
+
+echo ok